import java.io.Writer;
import java.io.BufferedWriter;
import java.io.OutputStreamWriter;
import java.io.FileOutputStream;

public class WriteUtf8
{

    public static void main(String[] args)
	throws java.io.IOException
    {
	Writer out = null;
	try {
	    out = new BufferedWriter(new OutputStreamWriter( new FileOutputStream("outfilename"), "UTF-8"));
	} catch (java.io.FileNotFoundException e) {
	    System.err.println(e);
	    return;
	} catch (java.io.UnsupportedEncodingException e) {
	    System.err.println(e);
	    return;
	}

	try {
	    for (String aString: args) {
		out.write(aString + System.getProperty("line.separator"));
	    }
	} finally {
	    out.close();
	}
    }

}
